/* Reset des éléments du site internet */

*, ::before, ::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    transition: 0.3s;
}

a {
    text-decoration: none;
    color: var(--ecriture-a)
}

li {
    list-style-type: none;
}

/* Site internet */

html {
    scroll-behavior: smooth;
}

body {
    background-color: #111111;
    font-family: 'Roboto Condensed', sans-serif;
    height: 100vh;
}

/* NavBar du site internet */

.navbar {
    position: fixed;
    background-color: #11111175;
    backdrop-filter: blur(7px);
    padding: 20px 50px 20px 50px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    box-sizing: border-box;
    z-index: 100;
}

.navbar a {
    color: #FFFFFF;
    font-weight: bold;
}

.navbar .nav-links ul {
    display: flex;
    justify-content: center;
    align-items: center;
}

header .navbar .nav-links li a button {
    padding: 10px 20px;
    background: none;
    border: none;
    font-weight: bold;
    color: #FFFFFF;
    font-size: 16px;
    font-family: 'Roboto Condensed', sans-serif;
    cursor: pointer;
    transition: 0.3s;
}

header .navbar .nav-links li a .non-active {
    border-radius: 10px;
}

header .navbar .nav-links li a .active {
    background-color: #2c2c2c;
    border-radius: 10px;
}

header .navbar .nav-links li a .non-active:hover {
    background-color: #2c2c2c;
}

.navbar .menu-hamburger {
    display: none;
    position: absolute;
    top: 43.5px;
    right: 50px;
}

header .navbar .dropdown {
    position: relative;
    display: inline-block;
}

header .navbar .dropbtn {
    background: none;
    color: #FFFFFF;
    padding: 10px 20px;
    font-size: 16px;
    border: 2px solid #FFFFFF;
    border-radius: 10px;
    cursor: pointer;
}

header .navbar .dropbtn:hover, .dropbtn:focus {
    background-color: #474747;
}

header .navbar .dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 20px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    border-radius: 10px;
    z-index: 1;
}

header .navbar .dropdown-content a {
    color: black;
    padding: 10px 23px;
    text-decoration: none;
    border-radius: 10px;
    display: block;
}

header .navbar .dropdown-content a:hover {
    background-color: #b6b6b6;
}

header .navbar .dropdown:hover .dropdown-content {
    display: block;
}

/* Corps de site internet */

main .presentation {
    background: url(/images/Projet\ 3\ blur.png) no-repeat fixed 50% 50%;
    background-size: cover;
    height: 100vh;
}

main .title {
    padding-top: 350px;
    margin-bottom: 10px;
    color: #FFFFFF;
    font-size: 3em;
    text-align: center;
}

/* texte explicative de Silexys */

main .container {
    padding: 40px 50px;
    color: #FFFFFF;
}

main .container .projet-description {
    max-width: 1000px;
}

main .container h1 {
    margin: 10px;
}

main .container .games {
    padding-top: 40px;
}

main .container p {
    margin: 10px;
}

main .container p span {
    font-size: 20px;
}

main .container .projet-description span {
    font-weight: bold;
}

main .container .user_langage {
    padding-top: 40px;
}

main .container .user_langage .img {
    margin: 10px;
}

main .btn {
    padding: 20px 10px 100px 10px;
    text-align: center;
}

main button {
    border: none;
    background: #262626;
    color: #FFFFFF;
    padding: 16px 16px;
    font-size: 1.5em;
    font-weight: bold;
    border-radius: 15px;
    cursor: pointer;
}

main button:hover {
    background: #535353;
}

/* Responsive du site internet */

@media screen and (max-width: 800px) {

    .navbar {
        padding: 0;
    }

    .navbar .logo {
        position: absolute;
        top: 60px;
        left: 50px;
    }

    .navbar .dropdown {
        position: absolute;
        top: 50px;
        left: 50%;
    }

    .navbar .menu-hamburger {
        display: block;
        cursor: pointer;
    }

    .navbar .change_theme_responsive {
        display: block;
        cursor: pointer;
    }

    .navbar .change_theme {
        display: none;
    }
    
    .nav-links {
        top: 0;
        left: 0;
        position: absolute;
        background-color: #11111175;
        backdrop-filter: blur(7px);
        width: 100%;
        height: 100vh;
        display: flex;
        justify-content: center;
        align-items: center;
        margin-left: 100%;
        transition: all 0.5s ease;
    }

    .nav-links.mobile-menu {
        margin-left: 0;
    }

    .nav-links ul {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .navbar .nav-links ul li {
        margin: 10px 0;
        font-size: 1.2em;
    }

}

@media screen and (max-width: 545px) {

    main .title {
        font-size: 5em;
    }

}

@media screen and (max-width: 410px) {

    main .container h1 {
        font-size: 1.2em;
    }

}